Bug 115888 - KDE's K menu does not release mouse
KDE's K menu does not release mouse
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-16 16:34 EST by Carl Russmann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 11:06:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Russmann 2004-02-16 16:34:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Sometimes the K menu in KDE hangs in the open state and blocks all
mouse clicks.  Pressing 'Esc' or 'Alt' is the only way to close the
menu.  The K menu and right-clicked context menus in the panel are
affected.  Window menus and context menus for other applications are
NOT affected.

This bug was initially reported as a kde-specific bug.  Someone seems
to have traced the problem to a patch for qt3.2.3 that needs to be applied

See:
http://bugs.kde.org/show_bug.cgi?id=74392



Version-Release number of selected component (if applicable):
qt-3.2.3-0.2

How reproducible:
Sometimes

Steps to Reproduce:
1. Click on the K Menu
2. Navigate through the menu, clicking around on sub-menus
3. Frequently, the menu will freeze up and all further mouse clicks
will not be recognized.
4. Press alt or esc on the keyboard to release.

This happens approx. 90% of the time I use the menu. 
    

Additional info:
Comment 1 Lindsay 2004-02-16 18:38:07 EST
I also have this behaviour.  This additional behaviour is also observed:

Mouse clicks on taskbar do not always respond first time.

If I use the window bars in the taskbar to switch between windows,
sporadically the mouse clicks on the icons are either ignored, or else
the bar becomes activated, but the window is not brought forward. If I
keep clicking the window is eventually activated. 

I installed qt 3.3 from source to test it out but I don't think it
fixed this issue.  I can't find any information about the apparent
patch that has been applied to the mandrake rpms.

Comment 2 Ngo Than 2004-02-17 11:06:09 EST
it's a know issue and was fixed in qt CVS. The qt-3.3.0 has this fix.

I don't see this problem anymore with qt-3.3.0
Comment 3 Anders Montonen 2004-04-29 16:19:34 EDT
I see this problem, KDE 3.2.2-0.1 and qt-3.3.1-0.2. Closing klipper
seems to make it go away.

See:
http://bugs.kde.org/show_bug.cgi?id=68508

Note You need to log in before you can comment on or make changes to this bug.